Subject: bug#25025: python-shell-calculate-command is wrong

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Dec 2016 17:46:44 +0200

> From: [email-masked]
> Cc: [email-masked],  [email-masked]
> Date: Fri, 02 Dec 2016 10:07:57 -0500
> 
> Okay, let me rephrase.  `python-shell-calculate-command' currently
> generates a shell command, but none of its callers treat the result as a
> shell command (they don't pass it to a shell, they parse it with
> `split-string-and-unquote').  Therefore, the easiest fix is to change
> `python-shell-calculate-command' to no longer generate a shell command.

Fine with me (and maybe also change the function's name while you are
at it).